package filters;
/**
 * Class that implements a Java File filter
 * Inherits from Filter
 * @author Sergio Alcocer
 */
public class JavaFilter extends Filter {
	private static JavaFilter self;
	
	public JavaFilter(){
		super("java","Java Files");
	}
	/**
	 * @return Following Singleton's pattern, a single instance of the class 
	 */
	public static JavaFilter getInstance(){
		if(self == null){
			self = new JavaFilter();
		}
		return self;
	}
}
