package analyzer;
/**
 * Interface that contains each Token type
 * @author Sergio Alcocer
 */
public interface TokenConstants {

	public int EOF 			= 0;
	public int IMPORT 		= 1;
	public int PACKAGE 		= 2;
	public int VALUE 		= 3;
	public int SC 			= 4;
	public int PUBLIC 		= 5;
	public int PRIVATE 		= 6;
	public int PROTECTED 	= 7;
	public int ABSTRACT 	= 8;
	public int STATIC		= 9;
	public int FINAL 		= 10;
	public int OPEN_CURLY 	= 11;
	public int CLOSE_CURLY 	= 12;
	public int CLASS 		= 13;
	public int OPEN_BRACK 	= 14;
	public int CLOSE_BRACK 	= 15;	
}
