package ast;

/**
 * Class that extends from Elem, used to store Attribute information.
 * @author Sergio Alcocer
 */
public class Attribute extends Elem {
	
	private String AttType;
	/**
	 * Constructor of the class
	 */
	public Attribute(){
		super(T_ATTRIBUTE);
	}
	
	/**
	 * Sets the type of the attribute
	 * @param _type type of the attribute
	 */
	public void setAttributeType(String _type){
		AttType = _type;
	}
	

	public String toString(){
		return new String(((access == PRIVATE)?"- ":"+ ") + AttType + " " + name );
	}
}
