package generator;
/**
 * Class that extends Instruction, that stores the customized code
 * @author Sergio Alcocer
 */
public class Custom extends Instruction {
	/**
	 * Constructor of the class
	 */
	public Custom(){
		super(Instruction.T_CUSTOM);
	}

	/**
	 * Sets the code of the instruction
	 * @param _code code of the instruction
	 */
	public void setCode(String _code){
		code = _code;
	}
}
